library(topGO)
library(Rgraphviz)
arath<-readMappings("pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topgo.gene2go.arath.map")
arath_gn<-names(arath)
arath_sel<-scan("pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/lst/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.lst",what="")
arath_glist<-factor(as.integer(arath_gn %in% arath_sel))
names(arath_glist)<-arath_gn
arath_GOdata<-new("topGOdata",ontology="MF",allGenes=arath_glist,annot=annFUN.gene2GO, gene2GO=arath, nodeSize=5)
arath_resultFis<-runTest(arath_GOdata,algorithm="classic",statistic="fisher")
arath_resultElim<-runTest(arath_GOdata,algorithm="elim",statistic="fisher")
arath_allRes<-GenTable(arath_GOdata,classicFis=arath_resultFis,elimFis=arath_resultElim,ranksOf="classicFis", topNodes=100)
write.table(arath_allRes,file="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.MF.tsv",sep="\t",quote=FALSE)
printGraph(arath_GOdata,arath_resultFis,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.MF",useInfo="all",pdfSW=TRUE)
printGraph(arath_GOdata,arath_resultElim,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.MF",useInfo="all",pdfSW=TRUE)
arath_GOdata<-new("topGOdata",ontology="BP",allGenes=arath_glist,annot=annFUN.gene2GO, gene2GO=arath, nodeSize=5)
arath_resultFis<-runTest(arath_GOdata,algorithm="classic",statistic="fisher")
arath_resultElim<-runTest(arath_GOdata,algorithm="elim",statistic="fisher")
arath_allRes<-GenTable(arath_GOdata,classicFis=arath_resultFis,elimFis=arath_resultElim,ranksOf="classicFis", topNodes=100)
write.table(arath_allRes,file="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.BP.tsv",sep="\t",quote=FALSE)
printGraph(arath_GOdata,arath_resultFis,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.BP",useInfo="all",pdfSW=TRUE)
printGraph(arath_GOdata,arath_resultElim,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.BP",useInfo="all",pdfSW=TRUE)
arath_GOdata<-new("topGOdata",ontology="CC",allGenes=arath_glist,annot=annFUN.gene2GO, gene2GO=arath, nodeSize=5)
arath_resultFis<-runTest(arath_GOdata,algorithm="classic",statistic="fisher")
arath_resultElim<-runTest(arath_GOdata,algorithm="elim",statistic="fisher")
arath_allRes<-GenTable(arath_GOdata,classicFis=arath_resultFis,elimFis=arath_resultElim,ranksOf="classicFis", topNodes=100)
write.table(arath_allRes,file="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.CC.tsv",sep="\t",quote=FALSE)
printGraph(arath_GOdata,arath_resultFis,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.CC",useInfo="all",pdfSW=TRUE)
printGraph(arath_GOdata,arath_resultElim,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.arath.in_families.Ha412v1r1.arath.bradi.CC",useInfo="all",pdfSW=TRUE)
