library(topGO)
library(Rgraphviz)
bradi<-readMappings("pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topgo.gene2go.bradi.map")
bradi_gn<-names(bradi)
bradi_sel<-scan("pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/lst/protein_families_species.bradi.in_families.Ha412v1r1.bradi.lst",what="")
bradi_glist<-factor(as.integer(bradi_gn %in% bradi_sel))
names(bradi_glist)<-bradi_gn
bradi_GOdata<-new("topGOdata",ontology="MF",allGenes=bradi_glist,annot=annFUN.gene2GO, gene2GO=bradi, nodeSize=5)
bradi_resultFis<-runTest(bradi_GOdata,algorithm="classic",statistic="fisher")
bradi_resultElim<-runTest(bradi_GOdata,algorithm="elim",statistic="fisher")
bradi_allRes<-GenTable(bradi_GOdata,classicFis=bradi_resultFis,elimFis=bradi_resultElim,ranksOf="classicFis", topNodes=100)
write.table(bradi_allRes,file="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.MF.tsv",sep="\t",quote=FALSE)
printGraph(bradi_GOdata,bradi_resultFis,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.MF",useInfo="all",pdfSW=TRUE)
printGraph(bradi_GOdata,bradi_resultElim,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.MF",useInfo="all",pdfSW=TRUE)
bradi_GOdata<-new("topGOdata",ontology="BP",allGenes=bradi_glist,annot=annFUN.gene2GO, gene2GO=bradi, nodeSize=5)
bradi_resultFis<-runTest(bradi_GOdata,algorithm="classic",statistic="fisher")
bradi_resultElim<-runTest(bradi_GOdata,algorithm="elim",statistic="fisher")
bradi_allRes<-GenTable(bradi_GOdata,classicFis=bradi_resultFis,elimFis=bradi_resultElim,ranksOf="classicFis", topNodes=100)
write.table(bradi_allRes,file="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.BP.tsv",sep="\t",quote=FALSE)
printGraph(bradi_GOdata,bradi_resultFis,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.BP",useInfo="all",pdfSW=TRUE)
printGraph(bradi_GOdata,bradi_resultElim,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.BP",useInfo="all",pdfSW=TRUE)
bradi_GOdata<-new("topGOdata",ontology="CC",allGenes=bradi_glist,annot=annFUN.gene2GO, gene2GO=bradi, nodeSize=5)
bradi_resultFis<-runTest(bradi_GOdata,algorithm="classic",statistic="fisher")
bradi_resultElim<-runTest(bradi_GOdata,algorithm="elim",statistic="fisher")
bradi_allRes<-GenTable(bradi_GOdata,classicFis=bradi_resultFis,elimFis=bradi_resultElim,ranksOf="classicFis", topNodes=100)
write.table(bradi_allRes,file="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.CC.tsv",sep="\t",quote=FALSE)
printGraph(bradi_GOdata,bradi_resultFis,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.CC",useInfo="all",pdfSW=TRUE)
printGraph(bradi_GOdata,bradi_resultElim,firstSigNodes=10,fn.prefix="pmatch_cutoff60.Ha412v1r1.arath.bradi.proteins.topGOdir/topGO/protein_families_species.bradi.in_families.Ha412v1r1.bradi.CC",useInfo="all",pdfSW=TRUE)
